libzypp 17.37.10

ResolverFocus.cc File Reference
`#include <iostream>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Exception.h>`
`#include <zypp/ResolverFocus.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | OUTS(V)

## Functions
std::string | zypp::asString (const ResolverFocus &val_r)
bool | zypp::fromString (const std::string &val_r, ResolverFocus &ret_r)

## Macro Definition Documentation

## ◆ OUTS [1/2]

#define OUTS | ( |  | V | ) |

Value:
case ResolverFocus::V: return #V; break

## ◆ OUTS [2/2]

#define OUTS | ( |  | V | ) |

Value:
if ( ::strcasecmp( val_r.c_str(), #V ) == 0 ) { ret_r = ResolverFocus::V; return true; }